package com.eactive.eai.rms.bat.manage.rule.batchSystemInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("batSystemInfoDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BatSystemInfoDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BatSystemInfo.selectListCount", param);
    }	
	
	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BatSystemInfo.selectList", param);
    }	

	public HashMap<String, Object> selectDetail(HashMap<String, Object> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BatSystemInfo.selectDetail", param);
    }	

	public List<Map<String, Object>> scheduleInterfaceList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BatSystemInfo.scheduleInterfaceList", param);
    }	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BatSystemInfo.insert", paramMap);
    }      

    
    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BatSystemInfo.update", paramMap);
    }

    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BatSystemInfo.delete", paramMap);
    }
}